%define upstream_name    Authen-Htpasswd
%define upstream_version 0.171

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to read and modify Apache .htpasswd files
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::LockedFile)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module provides a convenient, object-oriented interface to Apache-style
.htpasswd files. It supports passwords encrypted via MD5, SHA1, and crypt, as
well as plain (cleartext) passwords. It requires Crypt::PasswdMD5 for MD5 and
Digest::SHA1 for SHA1. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Authen

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.171.0-2.mga3
+ Revision: 363239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.171

* Thu Jan 27 2011 jquelin <jquelin> 0.161.0-1.mga1
+ Revision: 41807
- mageia rebuild
- imported package perl-Authen-Htpasswd

